coap_async_t Struct Reference
Asynchronous Messaging (Internal)

`#include <coap_async_internal.h>`

Collaboration diagram for coap_async_t:
[legend]

## Data Fields

struct coap_async_t * | next
| internally used for linking More...
coap_tick_t | delay
| When to delay to before triggering the response 0 indicates never trigger. More...
coap_session_t * | session
| transaction session More...
coap_pdu_t * | pdu
| copy of request pdu More...
void * | appdata

## Detailed Description

Definition at line 33 of file coap_async_internal.h.

## Field Documentation

## appdata

void* coap_async_t::appdata

Definition at line 39 of file coap_async_internal.h.

## delay

coap_tick_t coap_async_t::delay

When to delay to before triggering the response 0 indicates never trigger.

Definition at line 35 of file coap_async_internal.h.

## next

struct coap_async_t* coap_async_t::next

internally used for linking

Definition at line 34 of file coap_async_internal.h.

## pdu

coap_pdu_t* coap_async_t::pdu

copy of request pdu

Definition at line 38 of file coap_async_internal.h.

## session

coap_session_t* coap_async_t::session

transaction session

Definition at line 37 of file coap_async_internal.h.

The documentation for this struct was generated from the following file:

- coap_async_internal.h